Bug 436096 - segfault in strigi's inotifylistener at boot
segfault in strigi's inotifylistener at boot
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: strigi (Show other bugs)
8
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-05 07:43 EST by Neal Becker
Modified: 2008-04-29 16:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.5.8-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-29 16:50:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2008-03-05 07:43:35 EST
Description of problem:

Mar  5 06:03:36 nbecker1 kernel: strigidaemon[3421]: segfault at 
0000000042804000 rip 0000003834c7b40b rsp 0000000042802be8 error 4

Version-Release number of selected component (if applicable):

rpm -q strigi
strigi-0.5.8-1.fc8.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kevin Kofler 2008-03-05 18:43:15 EST
> Mar  5 06:03:36 nbecker1 kernel: strigidaemon[3421]: segfault at 
> 0000000042804000 rip 0000003834c7b40b rsp 0000000042802be8 error 4

Unfortunately I have no idea what those addresses map to, neither addr2line nor 
gdb were helpful (yes, I fired them up in a QEMU VM running F8 x86_64, so 
that's not the problem), and with Strigi's plugin architecture where most of 
the code is in shared libraries, those are probably all ExecShield-randomized 
addresses. :-(
Comment 2 Neal Becker 2008-03-05 20:40:18 EST
How would you suggest I debug this?  I know nothing about strigi.  I'm 
guessing I can somehow start it in foreground to try it out?
Comment 3 Kevin Kofler 2008-03-05 20:49:07 EST
Running it in the foreground should be as easy as just running "strigidaemon".

In case you're not familiar with how to get good backtraces using GDB and 
debugging information:
* Try running "gdb strigidaemon" (and entering "run" in GDB to actually run 
it).
* If that comes up with the segfault, use "bt" to get a backtrace.
* To get the most out of your backtraces, install the -debuginfo packages for 
strigi itself and for the libraries, if any, showing up near the top of the 
backtrace, and repeat the procedure.
Comment 4 Neal Becker 2008-03-05 21:46:38 EST
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1115699536 (LWP 9964)]
0x0000003834c7b593 in memcpy () from /lib64/libc.so.6
(gdb) where
#0  0x0000003834c7b593 in memcpy () from /lib64/libc.so.6
#1  0x000000383c09c3c0 in __cxa_pure_virtual () from /usr/lib64/libstdc++.so.6
#2  0x000000383c09c49a in std::basic_string<char, std::char_traits<char>, 
std::allocator<char> >::basic_string () from /usr/lib64/libstdc++.so.6
#3  0x0000000000416bcf in InotifyEvent::description (this=0x1eab930)
    
at /usr/src/debug/strigi-0.5.8/src/daemon/eventlistener/inotifylistener.cpp:126
#4  0x0000000000418ece in FsListener::dumpEvents (this=<value optimized out>)
    at /usr/src/debug/strigi-0.5.8/src/daemon/eventlistener/fslistener.cpp:628
#5  0x000000000041697e in InotifyListener::pendingEvent (this=0x649730)
    
at /usr/src/debug/strigi-0.5.8/src/daemon/eventlistener/inotifylistener.cpp:523
#6  0x0000000000417efa in FsListener::watch (this=0x649730)
    at /usr/src/debug/strigi-0.5.8/src/daemon/eventlistener/fslistener.cpp:452
#7  0x000000000041c878 in FsListener::run (this=0x649730)
    at /usr/src/debug/strigi-0.5.8/src/daemon/eventlistener/fslistener.cpp:199
#8  0x000000000040ed6b in threadstarter (d=0x649730)
    at /usr/src/debug/strigi-0.5.8/src/daemon/strigithread.cpp:115
#9  0x0000003835806407 in start_thread () from /lib64/libpthread.so.0
#10 0x0000003834cd4b0d in clone () from /lib64/libc.so.6
Comment 5 Kevin Kofler 2008-03-05 21:54:42 EST
First of all thanks for the backtrace.

Ugh, inotify support is listed as unstable by upstream and disabled by default, 
we're currently enabling it explicitly, maybe we shouldn't do that? Deji, what 
do you think?
Comment 6 Deji Akingunola 2008-03-06 13:10:44 EST
I agree we should follow upstream default. I started running strigi by comparing
its performance with tracker, I enabled the inotify support then to sort of
ensure the two are running with similar features.
Comment 7 Deji Akingunola 2008-03-06 20:41:44 EST
Hi Neal,
Can you please check the builds on
http://koji.fedoraproject.org/koji/taskinfo?taskID=498368 and confirm it if fix
the crash or not. Thanks.
Comment 8 Kevin Kofler 2008-04-07 15:35:15 EDT
This is fixed in 0.5.8-2, it's currently in Rawhide and built for F8, but not 
pushed as an update yet. Deji? Are you going to push this? Do you want me to 
take care of it? And what about F7?
Comment 9 Deji Akingunola 2008-04-07 15:50:20 EDT
I'm going to push it right away; was sort of waiting for Neal to comfirm if it
fixes the crash for him or not. I'll try and push the same fix for F7 too. Thanks.
Comment 10 Fedora Update System 2008-04-07 15:50:39 EDT
strigi-0.5.8-2.fc8 has been submitted as an update for Fedora 8
Comment 11 Fedora Update System 2008-04-07 22:30:30 EDT
strigi-0.5.8-2.fc7 has been submitted as an update for Fedora 7
Comment 12 Fedora Update System 2008-04-09 01:15:15 EDT
strigi-0.5.8-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update strigi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-2926
Comment 13 Fedora Update System 2008-04-29 16:50:16 EDT
strigi-0.5.8-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2008-04-29 16:55:27 EDT
strigi-0.5.8-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.